from fastapi import APIRouter, Request
from fastapi.responses import HTMLResponse
from fastapi.templating import Jinja2Templates

router = APIRouter()
templates = Jinja2Templates(directory="app")


@router.get("/support/fedex", response_class=HTMLResponse)
async def fedex_overview_page(request: Request):
    return templates.TemplateResponse(
        "modules/fedex/frontend/fedex_overview.html",
        {"request": request},
    )
